Skip to main content
GET
/
companies
/
{id}
/
customers
List customers for company
curl --request GET \
  --url https://api.weav.com/v1/companies/{id}/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "locale": "<string>",
      "country": "<string>",
      "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "avatar_url": "<string>",
      "first_seen_at": "2023-11-07T05:31:56Z",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Query Parameters

per_page
integer
default:15
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

Paginated customers

data
object[]
meta
object